com.digi.xbee.api

## Class RemoteDigiPointDevice

- java.lang.Object
- - com.digi.xbee.api.AbstractXBeeDevice
  - - com.digi.xbee.api.RemoteXBeeDevice
    - - com.digi.xbee.api.RemoteDigiPointDevice

-     public class RemoteDigiPointDevice
      extends RemoteXBeeDevice

  This class represents a remote DigiPoint device.
  See Also:
    `RemoteXBeeDevice`, `RemoteDigiMeshDevice`, `RemoteRaw802Device`, `RemoteZigBeeDevice`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteDigiPointDevice(DigiPointDevice localXBeeDevice, XBee64BitAddress addr64)` Class constructor.
    `RemoteDigiPointDevice(XBeeDevice localXBeeDevice, XBee64BitAddress addr64)` Class constructor.
    `RemoteDigiPointDevice(XBeeDevice localXBeeDevice, XBee64BitAddress addr64, String id)` Class constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XBeeProtocol` | `getXBeeProtocol()` Returns the XBee Protocol of this XBee device.

    - ### Methods inherited from class com.digi.xbee.api.RemoteXBeeDevice

      `isRemote, reset, toString`

    - ### Methods inherited from class com.digi.xbee.api.AbstractXBeeDevice

      `applyChanges, enableApplyConfigurationChanges, executeParameter, get16BitAddress, get64BitAddress, getADCValue, getConnectionInterface, getDestinationAddress, getDIOChangeDetection, getDIOValue, getFirmwareVersion, getHardwareVersion, getIOConfiguration, getIOSamplingRate, getNodeID, getPANID, getParameter, getPowerLevel, getPWMDutyCycle, isApplyConfigurationChangesEnabled, readDeviceInfo, readIOSample, setDestinationAddress, setDIOChangeDetection, setDIOValue, setIOConfiguration, setIOSamplingRate, setNodeID, setPANID, setParameter, setPowerLevel, setPWMDutyCycle, updateDeviceDataFrom, writeChanges`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteDigiPointDevice

          public RemoteDigiPointDevice(DigiPointDevice localXBeeDevice,
                               XBee64BitAddress addr64)

      Class constructor. Instantiates a new `RemoteDigiPointDevice` object with the given local `DigiPointDevice` which contains the connection interface to be used.
      Parameters:
        `localXBeeDevice` - The local point-to-multipoint device that will behave as connection interface to communicate with this remote point-to-multipoint device.
        `addr64` - The 64-bit address to identify this remote point-to-multipoint device.
      Throws:
        `IllegalArgumentException` - if `localXBeeDevice.isRemote() == true`.
        `NullPointerException` - if `localXBeeDevice == null` or if `addr64 == null`.
      See Also:
        `XBee64BitAddress`

    - #### RemoteDigiPointDevice

          public RemoteDigiPointDevice(XBeeDevice localXBeeDevice,
                               XBee64BitAddress addr64)

      Class constructor. Instantiates a new `RemoteDigiPointDevice` object with the given local `XBeeDevice` which contains the connection interface to be used.
      Parameters:
        `localXBeeDevice` - The local XBee device that will behave as connection interface to communicate with this remote point-to-multipoint device.
        `addr64` - The 64-bit address to identify this remote point-to-multipoint device.
      Throws:
        `IllegalArgumentException` - if `localXBeeDevice.isRemote() == true` or if `localXBeeDevice.getXBeeProtocol() != XBeeProtocol.DIGI_POINT`.
        `NullPointerException` - if `localXBeeDevice == null` or if `addr64 == null`.
      See Also:
        `XBee64BitAddress`

    - #### RemoteDigiPointDevice

          public RemoteDigiPointDevice(XBeeDevice localXBeeDevice,
                               XBee64BitAddress addr64,
                               String id)

      Class constructor. Instantiates a new `RemoteDigiPointDevice` object with the given local `XBeeDevice` which contains the connection interface to be used.
      Parameters:
        `localXBeeDevice` - The local XBee device that will behave as connection interface to communicate with this remote point-to-multipoint device.
        `addr64` - The 64-bit address to identify this remote point-to-multipoint device.
        `id` - The node identifier of this remote point-to-multipoint device. It might be `null`.
      Throws:
        `IllegalArgumentException` - if `localXBeeDevice.isRemote() == true` or if `localXBeeDevice.getXBeeProtocol() != XBeeProtocol.DIGI_POINT`.
        `NullPointerException` - if `localXBeeDevice == null` or if `addr64 == null`.
      See Also:
        `XBee64BitAddress`

  - ### Method Detail

    - #### getXBeeProtocol

          public XBeeProtocol getXBeeProtocol()

      Description copied from class: `AbstractXBeeDevice`
      Returns the XBee Protocol of this XBee device.

      To refresh this value use the `AbstractXBeeDevice.readDeviceInfo()` method.

      Overrides:
        `getXBeeProtocol` in class `AbstractXBeeDevice`
      Returns:
        The XBee device protocol.
      See Also:
        `XBeeProtocol`

© Copyright 2014–2014 Digi International Inc. All rights reserved.